/*
 * Desenvolvido para a disciplina Programacao 1
 * Curso de Bacharelado em Cincia da Computao
 * Departamento de Sistemas e Computao
 * Universidade Federal da Paraba
 *
 * Copyright (C) 1999 Universidade Federal da Paraba.
 * No redistribuir sem permisso.
 */
package p1.aplic.banco;

import java.util.*;
import java.io.*;

/**
 * Classe que implementa um movimento de transaes.
 * Um movimento  apenas uma srie de transaes feitas.
 * Todas as transaes devem entrar aqui em ordem cronolgica.
 *
 * @author   Jacques Philippe Sauv, jacques@dsc.ufpb.br
 * @version 1.1
 * <br>
 * Copyright (C) 1999 Universidade Federal da Paraba.
 */
public class Movimento implements Serializable {
    static final long serialVersionUID = 6598108299168173551L;
    // a coleo deve manter a ordem de insero
	private Vector transaes;

	// Construtores
    /**
     * Controi um Movimento vazio (sem transaes).
     */
	public Movimento() {
		transaes = new Vector();
	}

	/**
	 * Adiciona uma transaes ao movimento.
	 * @param transao A transao a adicionar ao movimento.
	 */
	public void add(Transacao transao) {
		transaes.add(transao);
	}

	/**
	 * Fornece um Iterator para varrer as transaes por data.
	 * @return O Iterator.
	 */
	public Iterator getTransaes() {
		return transaes.iterator();
	}
}
