/*
 * Desenvolvido para a disciplina Programacao 1
 * Curso de Bacharelado em Cincia da Computao
 * Departamento de Sistemas e Computao
 * Universidade Federal da Paraba
 *
 * Copyright (C) 1999 Universidade Federal da Paraba.
 * No redistribuir sem permisso.
 */
package p1.aplic.banco;

/**
 * Classe de Exceo quando tenta-se fechar uma conta sem estar com saldo zerado.
 *
 * @author   Jacques Philippe Sauv, jacques@dsc.ufpb.br
 * @version 1.1
 * <br>
 * Copyright (C) 1999 Universidade Federal da Paraba.
 */
public class NaoPodeFecharContaException extends Exception {
    static final long serialVersionUID = 6857729033909487478L;    
	Conta conta;

    /**
     * Construtor de exceo informando que uma conta no pode ser fechada.
     * @param conta A conta que no pode ser fechada.
     * @param motivo O motivo pelo qual no se pode fechar a conta.
     */
	public NaoPodeFecharContaException(Conta conta, String motivo) {
		super(motivo);
		this.conta = conta;
	}
}
