/*
 * Desenvolvido para a disciplina Programacao 2
 * Curso de Bacharelado em Cincia da Computao
 * Departamento de Sistemas e Computao
 * Universidade Federal da Paraba
 *
 * Copyright (C) 2001 Universidade Federal da Paraba.
 * No redistribuir sem permisso.
 */
package p1.aplic.mancala.gui;
import p1.aplic.mancala.jogo.*;
import java.awt.*;
import java.applet.*;

/**
 *
 *
 * @author   Jacques Philippe Sauv, jacques@dsc.ufpb.br
 * @version 1.0
 * <br>
 * Copyright (C) 2001 Universidade Federal da Paraba.
 */
public class JogoGUI extends Applet {
  JogoMancala jogo;
  public void init() {
    Jogador j1 = criaJogador(getParameter("jogador1"), Tabuleiro.EM_BAIXO);
    Jogador j2 = criaJogador(getParameter("jogador2"), Tabuleiro.EM_CIMA);
    jogo = new UmJogo(j1, j2);
    jogo.addMancalaListener(new OutputMancalaGUI());
  }
  public void start() {
    jogo.iniciaJogo();
  }

  private Jogador criaJogador(String nome, int posio) {
    if(nome.equals("ENIAC")) {
      return new JogadorComputador1(nome, posio);
    } else if(nome.equals("PDP11")) {
      return new JogadorComputador2(nome, posio);
    } else {
      return new JogadorHumanoGUI(nome, posio);
    }
  }

  public static void main(String[] args) {
    // ver TIJ p 647
  }
}

