/*
 * Desenvolvido para a disciplina Programacao 2
 * Curso de Bacharelado em Cincia da Computao
 * Departamento de Sistemas e Computao
 * Universidade Federal da Paraba
 *
 * Copyright (C) 2001 Universidade Federal da Paraba.
 * No redistribuir sem permisso.
 */
 
package p1.aplic.mancala.jogo;
import java.util.*;

/**
 * Um jogador automtico bastante burrinho.
 *
 * @author   Jacques Philippe Sauv, jacques@dsc.ufpb.br
 * @version 1.0
 * <br>
 * Copyright (C) 2001 Universidade Federal da Paraba.
 */
public class JogadorComputador1 extends JogadorAbstrato {
  /**
   * Construtor de um jogador automtico (computador)
   * com algoritmo bem burrinho para jogar.
   *
   * @param   nome   O nome do jogador.
   * @param   posio   A posio do jogador (EM_BAIXO ou EM_CIMA).
   */
  public JogadorComputador1(String nome, int posio) {
    super(nome, posio);
  }

  /**
   * Pede ao jogador para escolher um buraco para jogar.
   * A estratgia  burra: o primeiro buraco que contm sementes
   *
   * @param   jogo   O jogo do qual o jogador est participando.
   * @return  O nmero do buraco (entre 0 e 5)
   * @throws  MancalaException se o buraco escolhido no for possvel.
   */
  public int escolheJogada(JogoMancala jogo) throws MancalaException {
    for(int i = 0; i < Tabuleiro.NUM_BURACOS; i++) {
      Buraco buraco = jogo.getTabuleiro().getBuraco(getPosio(), i);
      if(buraco.getNmeroDeSementes() > 0) {
        return i;
      }
    }
    throw new MancalaException("A partida nao terminou mas nao tenho sementes!");
  }
}

