/*
 * Desenvolvido para a disciplina Programacao 2
 * Curso de Bacharelado em Cincia da Computao
 * Departamento de Sistemas e Computao
 * Universidade Federal da Paraba
 *
 * Copyright (C) 2001 Universidade Federal da Paraba.
 * No redistribuir sem permisso.
 */
 
package p1.aplic.mancala.jogo;

/**
 * Listeners de um jogo de Mancala so normalmente objetos que implementam
 * interfaces com o usurio para o jogo. Tais objetos
 * devem implementar essa interface.
 *
 * @author   Jacques Philippe Sauv, jacques@dsc.ufpb.br
 * @version 1.0
 * <br>
 * Copyright (C) 2001 Universidade Federal da Paraba.
 */
public interface MancalaListener extends java.util.EventListener {
  /**
   * Este mtodo do listener  chamado para indicar que o jogo iniciou.
   *
   * @param   evento   O objeto que descreve o inicio do jogo.
   */
   void inicioDeJogo(MancalaEvent evento);

  /**
   * Este mtodo do listener  chamado para indicar que um jogador jogou.
   *
   * @param   evento   O objeto que descreve a jogada feita.
   */
   void jogadorJogou(MancalaEvent evento);

  /**
   * Este mtodo do listener  chamado para indicar que o jogo terminou.
   *
   * @param   evento   O objeto que descreve o resultado do jogo.
   */
   void fimDeJogo(MancalaEvent evento);
}

