// interface com o usurio para um sisteminha de correio eletrnico
// a classe ainda no faz parte do package p1.aplic.correio
import p1.aplic.correio.*;
import p1.io.*;
import java.util.*;

public class CorreioIUTemp4 {
	private CaixaPostal caixa;

	public CorreioIUTemp4(String titular) {
		caixa = new CaixaPostal(titular);
	}

	public void interfaceComUsurio() {
		while (true) {
			mostraResumoCaixaPostal(caixa);
			String cmd = Entrada.in
					.lerLinha("exibir, enviar, excluir, +, -, quit? ");
			if (cmd.startsWith("exi")) {
				p1.aplic.correio.Mensagem m = caixa.mensagemCorrente();
				if (m != null) {
					m.exibir();
				}
			} else if (cmd.startsWith("en")) {
				String destinatrio = obtemUmaLinha("Para quem? ");
				String assunto = obtemUmaLinha("Assunto? ");
				String contedo = obtemVriasLinhas("Conteudo da mensagem? (. para terminar) ");
				enviarMensagem(caixa.getTitular(), destinatrio, assunto,
						contedo);
			} else if (cmd.startsWith("exc")) {
				caixa.excluir();
			} else if (cmd.startsWith("+")) {
				caixa.avanar();
			} else if (cmd.startsWith("-")) {
				caixa.recuar();
			} else if (cmd.startsWith("q")) {
				cmd = Entrada.in.lerLinha("Salvar CaixaPostal? ");
				if (cmd.startsWith("s")) {
					caixa.salvar();
				}
				break;
			} else {
				System.out.println("Comando <" + cmd + "> desconhecido");
			}
		}
	}

	// Observe que este mtodo *no*  public
	void mostraResumoCaixaPostal(CaixaPostal caixa) {
		Iterator it = caixa.iterator();
		if (!it.hasNext()) {
			System.out.println("Nao ha mensagem.");
			return;
		}
		int numMensagem = 1;
		while (it.hasNext()) {
			Mensagem m = (Mensagem) it.next();
			String cursor = " ";
			if (m == caixa.mensagemCorrente()) {
				cursor = ">";
			}
			System.out.println(cursor + numMensagem + " Rem: "
					+ m.getRemetente() + " Data: "
					+ m.getDataEnvio().DDMMAAAAHHMM() + " Ass: "
					+ m.getAssunto());
			numMensagem++;
		}
	}

	// Observe que este mtodo *no*  public
	String obtemUmaLinha(String prompt) {
		String linha;
		while ((linha = Entrada.in.lerLinha(prompt)).equals("")) {
			System.out.println("Favor fornecer alguma informacao");
		}
		return linha;
	}

	/**
	 * Mtodo auxiliar para obter vrias linhas da entrada padro. O final da
	 * entrada  indicado digitando "." sozinho no incio de uma linha.
	 * 
	 * @param prompt
	 *            O prompt a exibir ao usurio antes de ler a informao.
	 * @return As linhas lida, como string nico. As linhas so separadas por um
	 *         caractere de separao de linha apropriado.
	 */
	// Observe que este mtodo *no*  public
	String obtemVriasLinhas(String prompt) {
		String resposta = "";
		String separador = System.getProperty("line.separator");
		String linha;
		System.out.println(prompt);
		while (!(linha = Entrada.in.lerLinha("")).equals(".")) {
			resposta += linha + separador;
		}
		return resposta;
	}

	/**
	 * Envia uma mensagem de correio eletrnico para um destinatrio.
	 * 
	 * @param remetente
	 *            O remetente da mensagem.
	 * @param destinatrio
	 *            O destinatrio da mensagem.
	 * @param assunto
	 *            O assunto da mensagem.
	 * @param contedo
	 *            O contedo da mensagem, podendo conter vrias linhas de texto.
	 */
	// Observe que este mtodo *no*  public
	void enviarMensagem(String remetente, String destinatrio, String assunto,
			String contedo) {
		CaixaPostal caixaDestino = new CaixaPostal(destinatrio);
		caixaDestino.inserir(new Mensagem(remetente, assunto, contedo));
		caixaDestino.salvar();
	}

	// um mainzinho para testar
	public static void main(String[] args) {
		if (args.length != 1) {
			System.err.println("Sintaxe: java CorreioIUTemp4 nome");
			System.exit(1);
		}
		CorreioIUTemp4 ciu = new CorreioIUTemp4(args[0]);
		ciu.interfaceComUsurio();
	}
}
