/*
 * Desenvolvido para a disciplina Programacao 2
 * Curso de Bacharelado em Cincia da Computao
 * Departamento de Sistemas e Computao
 * Universidade Federal da Paraba
 *
 * Copyright (C) 2001 Universidade Federal da Paraba.
 * No redistribuir sem permisso.
 */
 
package p1.aplic.mancala.jogo;
import java.util.*;

/**
 * Interface de um jogador, seja humano ou computador,
 * apoiado em interface grfica ou textual.
 *
 * @author   Jacques Philippe Sauv, jacques@dsc.ufpb.br
 * @version 1.0
 * <br>
 * Copyright (C) 2001 Universidade Federal da Paraba.
 */
public interface Jogador {
  /**
   * Obtm o nome do jogador.
   *
   * @return  O nome do jogador
   */
  String getNome();

  /**
   * Informa a posio do jogador.
   *
   * @return  A posio do jogador (EM_BAIXO ou EM_CIMA)
   */
  int getPosio();

  /**
   * Pede ao jogador para escolher um buraco para jogar.
   *
   * @param   jogo   O jogo do qual o jogador est participando.
   * @return  O nmero do buraco (entre 0 e 5)
   * @throws  MancalaException se o buraco escolhido no for possvel.
   */
  int escolheJogada(JogoMancala jogo) throws MancalaException;
}

