import p1.aplic.banco;
/**
 * Classe de conta bancria simples.
 *
 * @author   Jacques Philippe Sauv, jacques@dsc.ufpb.br
 * @version 1.1
 * <br>
 * Copyright (C) 1999 Universidade Federal da Paraba.
 */
public class ContaSimples1 {
  // atributos
  private String  nome;
  private String  cpf;
  private int     nmero;
  private double  saldo;

  // construtor

  /**
   * Cria uma conta a partir de um nome e cpf de pessoa fsica, e um nmero de conta.
   * @param nome O nome do titular da conta.
   * @param cpf O CPF do titular da conta.
   * @param nmero O nmero da conta.
   */
  public ContaSimples1(String nome, String cpf, int nmero) {
    this.nome = nome;
    this.cpf = cpf;
    this.nmero = nmero;
    saldo = 0.0;
  }

  // mtodos
  /**
   * Recupera o nmero da conta.
   * @return O nmero da conta.
   */
  public int getnmero() {
    return nmero;
  }

  /**
   * Recupera o nome do titular da conta.
   * @return O nome do titular da conta.
   */
  public String getNome() {
    return nome;
  }

  /**
   * Recupera o CPF do titular da conta.
   * @return O CPF do titular da conta.
   */
  public String getCPF() {
    return cpf;
  }

  /**
   * Recupera o saldo da conta.
   * @return O saldo da conta.
   */
  public double getSaldo() {
    return saldo;
  }

  /**
   * Efetua um depsito numa conta.
   * @param valor O valor a depositar.
   */
  public void depositar(double valor) {
    // credita a conta
    saldo += valor;
  }

  /**
   * Efetua sacada na conta.
   * @param valor O valor a sacar.
   * @return O sucesso ou no da operao.
   */
  public boolean sacar(double valor) {
    // debita a conta
    if(saldo - valor >= 0) {
      saldo -= valor;
      return true;
    } else {
      return false;
    }
  }

  /**
   * Transforma os dados da conta em um String.
   * @return O string com os dados da conta.
   */
  public String toString() {
    return "nmero " + nmero
            + ", nome " + nome
            + ", saldo " + saldo;
  }
}
