public class Fita implements Alugavel {
  public static final int NORMAL = 0;
  public static final int LANAMENTO = 1;
  public static final int INFANTIL = 2;

  private String ttulo;
  private Classificacao classificao;

  public Fita(String ttulo, int cdigoDePreo) {
    this.ttulo = ttulo;
    setCdigoDePreo(cdigoDePreo);
  }

  public String getTtulo() {
    return ttulo;
  }

  public int getCdigoDePreo() {
    return classificao.getCdigoDePreo();
  }

  public void setCdigoDePreo(int cdigoDePreo) {
    switch(cdigoDePreo) {
    case NORMAL:
      classificao = new ClassificacaoNormal();
      break;
    case LANAMENTO:
      classificao = new ClassificacaoLancamento();
      break;
    case INFANTIL:
      classificao = new ClassificacaoInfantil();
      break;
    }
  }
  public double getValorDoAluguel(int diasAlugada) {
    return classificao.getValorDoAluguel(diasAlugada);
  }
  public int getPontosDeAlugadorFrequente(int diasAlugada) {
    return classificao.getPontosDeAlugadorFrequente(diasAlugada);
  }
}

